Subject: ***SPAM*** 66.534 (5) Amaze your chick with your new legendary manhood.

From: "Teryn Geert" <[email-masked]>
Date: Fri, 1 Feb 2008 20:37:35 +0100

A huge manhood is your ticket to a great sex life, everyday.